RDFPIPE(1)

NAME
rdfpipe: - parsing RDF in different formats and serializing the resulting graph to a chosen format

SYNOPSIS
rdfpipe [-h] [-i INPUT_FORMAT] [-o OUTPUT_FORMAT] [--ns=PFX=NS ...] [-] [FILE ...]

DESCRIPTION
A commandline tool for parsing RDF in different formats and serializing the resulting graph to a chosen format. Reads file system paths, URLs or from stdin if '-' is given. The result is serialized to stdout.

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-i INPUT_FORMAT, --input-format=INPUT_FORMAT
    Format of the input document(s). Available input formats are: application/trix, xml, n3, turtle, microdata, application/svg+xml, mdata, nquads, rdfa, trix, application/xhtml+xml, rdfa1.1, application/n-quads, hturtle, rdfa1.0, text/n3, text/html, text/turtle, application/rdf+xml, html, application/n-triples, nt. If no format is given, it will be guessed from the file name extension. Keywords to parser can be given after format like: FORMAT:(+)KW1,-KW2,KW3=VALUE.

-o OUTPUT_FORMAT, --output-format=OUTPUT_FORMAT
    Format of the graph serialization. Available output formats are: turtle, n3, text/n3, trig, pretty-xml, nt, application/rdf+xml, application/n-triples, application/n-quads, nquads, application/trix, xml, text/turtle, trix. Default format is: 'n3'. Keywords to serializer can be given after format like: FORMAT:(+)KW1,-KW2,KW3=VALUE.

--ns=PREFIX=NAMESPACE
    Register a namespace binding (QName prefix to a base URI). This can be used more than once.

--no-guess
    Don't guess format based on file suffix.

--no-out
    Don't output the resulting graph (useful for checking validity of input).

-w, --warn
    Output warnings to stderr (by default only critical errors).

AUTHOR
This manual page was written by Olivier Berger <obergix@debian.org>, for the Debian distribution.